Name:		     spe
Version:	     0.8.4.h
Release:	     0.2.h%{?dist}
Summary:	     Stani's Python Editor is an IDE for Python
Group:		     Development/Tools
License:	     GPLv3+
URL:		     http://pythonide.stani.be
Source0:	     http://download.berlios.de/python/%{name}-%{version}-wx2.6.1.0.tar.gz
BuildArch:	     noarch
BuildRequires:	     desktop-file-utils
BuildRequires:	     python2-devel
Requires:	     wxGlade >= 0.6.1-1
Requires:	     winpdb >= 1.3.2-1
Requires:	     wxPython >= 2.8

%description
Spe is a Python IDE with auto-indentation, auto completion, call tips, syntax
coloring, syntax highlighting, UML viewer, class explorer, source index, auto
todo list, sticky notes, integrated pycrust shell, Python file browser, recent
file browser, drag&drop, context help, etc. Special is its Blender support
with a Blender 3d object browser and its ability to run interactively inside
blender.

%prep
%setup -q -n %{name}-%{version}

rm -rf ./_spe/plugins/winpdb
rm -rf ./_spe/plugins/wxGlade
rm -rf ./_spe/plugins/XRCed

find . \( -name "*.wxg" -or -name "*.bat" \) -exec rm -f {} \;

find . -type f -print0 | xargs -0 -n 250 chmod a-x
find . -type f | xargs egrep -l '\#!/usr/bin/env|\#!BPY' | xargs chmod a+x
find . -name "Child.py" -print0 | xargs -0 -n 250 chmod a-x
find . \( -name "*.py" -or -name "*.html" -or -name "*.htm" -or -name "*.txt" -or -name "COPYING" -or -name "NEWS" \) -exec sed -i 's/\r//' {} \;

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/%{name}/
cp -Rp ./* %{buildroot}%{python_sitelib}/%{name}/

desktop-file-install --vendor="" \
		     --mode 0644 \
		     --dir=%{buildroot}%{_datadir}/applications/ \
		     %{buildroot}%{python_sitelib}/%{name}/%{name}.desktop

mkdir -p %{buildroot}%{_bindir}/
mkdir  %{buildroot}%{_datadir}/icons/
cp %{buildroot}%{python_sitelib}/%{name}/_spe/skins/default/blenpy.png  %{buildroot}%{_datadir}/icons/spe.png

pushd %{buildroot}%{_bindir}
ln -sf %{python_sitelib}/%{name}/_%{name}/SPE.py %{name}
popd

%clean
rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database %{_datadir}/applications

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications

%verify(symlink) %{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/spe.png


%changelog
* Fri Jul 05 2013 Klaatu <klaatu@member.fsf.org> 0.8.4.h-0.2.h
- fixed symlink
- updated and modded spec file to pass rpmlint and fedora-review

* Sun Apr 27 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.h-0.2.h
- fixed file ownership
- fixed number of release 0.*

* Thu Apr 24 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.h-0.1.h
- new release, bug correction wxGlade

* Wed Apr 23 2008 pingou <pingou@pingoured.fr> 0.8.4.g-0.3.g
- Add icon at the right place

* Wed Apr 23 2008 pingou <pingou@pingoured.fr> 0.8.4.g-0.2.g
- Bug correction

* Thu Apr 14 2008 MERCIER <jonathan.mercier.fr@gmail.com> 0.8.4.g-0.1.g
-new package
